View Issue Details

IDProjectCategoryView StatusLast Update
0032665CommunityOCCT:Visualizationpublic2022-10-19 15:50
Reporterocc_siddhesh_nikam Assigned Tovpozdyayev 
PrioritynormalSeverityjust a question 
Status newResolutionopen 
PlatformWindows 64 bitOSWindows 
Product Version7.5.0 
Summary0032665: Delay in displaying multiple objects.
Description    # Handle(Geom_TrimmedCurve) aSegment1 = GC_MakeSegment(Pt1, Pt2);
    # TopoDS_Edge aEdge1 = BRepBuilderAPI_MakeEdge(aSegment1);
    # Handle(AIS_Shape) shape1 = new AIS_Shape(aEdge20);
    # shape1->Attributes()->SetLineAspect(MyAspect);
    # myAISContext->Display(shape1, Standard_False);
    # .
    # .
    # .
    # .
    # .
    # .
    <Edge-210>
    # Handle(Geom_TrimmedCurve) aSegment210 = GC_MakeSegment(Pt10, Pt20);
    # TopoDS_Edge aEdge210 = BRepBuilderAPI_MakeEdge(aSegment210);
    # Handle(AIS_Shape) shape210 = new AIS_Shape(aEdge210);
    # shape210->Attributes()->SetLineAspect(MyAspect);
    # myAISContext->Display(shape210, Standard_False);

    # myAISContext->UpdateCurrentViewer();

Is there another way to speedup the displaying process.

Thanks.
TagsNo tags attached.
Test case number

Activities

occ_siddhesh_nikam

2021-11-15 10:54

reporter   ~0105189

Hello kgv,

I have created more than 200 vertices and edges.
 
While displaying them on the viewer, all the vertices and edges doesn't appears at the same time.

The process of displaying the objects take more time. I have followed the following steps,
    <Edge-1>
    # Handle(Geom_TrimmedCurve) aSegment1 = GC_MakeSegment(Pt1, Pt2);
    # TopoDS_Edge aEdge1 = BRepBuilderAPI_MakeEdge(aSegment1);
    # Handle(AIS_Shape) shape1 = new AIS_Shape(aEdge20);
    # shape1->Attributes()->SetLineAspect(MyAspect);
    # myAISContext->Display(shape1, Standard_False);
    # .
    # .
    # .
    # .
    # .
    # .
    <Edge-210>
    # Handle(Geom_TrimmedCurve) aSegment210 = GC_MakeSegment(Pt10, Pt20);
    # TopoDS_Edge aEdge210 = BRepBuilderAPI_MakeEdge(aSegment210);
    # Handle(AIS_Shape) shape210 = new AIS_Shape(aEdge210);
    # shape210->Attributes()->SetLineAspect(MyAspect);
    # myAISContext->Display(shape210, Standard_False);

    # myAISContext->UpdateCurrentViewer();

Is there another way to fasten the displaying process.

Thanks.

kgv

2021-11-15 11:20

developer   ~0105190

> vertices and edges doesn't appears at the same time.
Do you call `myAISContext->UpdateCurrentViewer()` for each object or at the end of the loop?

occ_siddhesh_nikam

2021-11-15 11:37

reporter   ~0105191

> Do you call `myAISContext->UpdateCurrentViewer()` for each object or at the end
  of the loop?

I called it at the end of the loop.

kgv

2021-11-15 11:59

developer   ~0105192

> I called it at the end of the loop.
Then it looks unexpected - viewer should be redrawn only once with all objects appearing together.

Issue History

Date Modified Username Field Change
2021-11-15 10:50 occ_siddhesh_nikam New Issue
2021-11-15 10:50 occ_siddhesh_nikam Assigned To => kgv
2021-11-15 10:54 occ_siddhesh_nikam Note Added: 0105189
2021-11-15 11:10 kgv Severity minor => just a question
2021-11-15 11:10 kgv Description Updated
2021-11-15 11:20 kgv Note Added: 0105190
2021-11-15 11:37 occ_siddhesh_nikam Note Added: 0105191
2021-11-15 11:59 kgv Note Added: 0105192
2022-10-19 15:50 smoskvin Assigned To kgv => vpozdyayev